<?
ini_set('error_reporting',1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}
$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");

$cont=0;
$bsql = "SELECT codigo, saldo, u_entrada, u_salida FROM productos";
$resultado = mysql_query($bsql,$enlace);

while (mysql_fetch_object ($resultado))
	{
	
    $id=mysql_result($resultado, $cont, "codigo");
   
    $saldo=mysql_result($resultado, $cont, "saldo");
   if ($id>7015)
   {
   echo $id;
   $sqlfs = "SELECT cantidad, entrada_salida_traspaso, precio_unitario, factor  FROM movimiento WHERE tipo_dcto<>3 AND cod_producto=$id";
   $resfs = mysql_query($sqlfs,$enlace);	

			$cont1=0;
			$ent=0;
			$sal=0;
			$costo=0;
			while (mysql_fetch_object ($resfs))
 				{
				$cantidad=mysql_result($resfs, $cont1, "cantidad");
				$fa=mysql_result($resfs, $cont1, "factor");
				$es=mysql_result($resfs, $cont1, "entrada_salida_traspaso");
				if ($es=="E") 
				{$ent+=$fa*$cantidad;
				$costo=mysql_result($resfs, $cont1, "precio_unitario");
				}
				else
				{$sal+=$fa*$cantidad;
				}
				$cont1+=1;
				}
				
				
		$sqlfs = "SELECT cantidad, entrada_salida_traspaso FROM movimiento, salida  WHERE  cod_producto=$id AND  movimiento.tipo_dcto=3 AND id_soe=salida.id AND documento_control is Null";
			
		  	$resfs = mysql_query($sqlfs,$enlace);			
				$cont1=0;
			while (mysql_fetch_object ($resfs))
 				{
				$cantidad=mysql_result($resfs, $cont1, "cantidad");
				$es=mysql_result($resfs, $cont1, "entrada_salida_traspaso");
				if ($es=="E") 
				{$ent+=$cantidad;
				}
				else
				{$sal+=$cantidad;
				}
				$cont1+=1;
				}					
				
          $saldo1=$ent-$sal;
    if ($costo!=0)
	{
	 $esql = "UPDATE productos SET costo=$costo WHERE codigo = $id";
	 mysql_query($esql,$enlace);
    }
	
   if ($saldo==$saldo1)
   { 
  ?>
 <script language="javascript" type="text/javascript">
	//alert ("<?=$name. $saldo. '\n='.$saldo1.'\nIgual !';?>");
</script>
  <?
   }
   else
   {
   
$esql = "UPDATE productos SET saldo = $saldo1, u_entrada = $ent, u_salida = $sal WHERE codigo = $id";
	$consulta = mysql_query($esql,$enlace);
   ?>
<script language="javascript" type="text/javascript">
	//alert ("<?=$name. $saldo. '\n='.$saldo1.'\nHistoria Distinto !';?>");
</script>
  <?
   }
   }
  $cont=$cont+1;
}

	
?>


<script language="javascript" type="text/javascript">
alert ("<?='\nListo !';?>");
	parent.location.href = 'index.php';
</script>